Name:     squidblocker
Version:  0.3.9
Release:  4%{?dist}
Summary:  The Squid blocker server and client
Epoch:    7
License:  3 Clause BSD
Group:    System Environment/Daemons
URL:      http://www.ngtech.co.il/squidblocker
Source0:  sbserver.service
Source1:  sblocker_client
Source2:  sblocker_server
Source3:  sblocker_hammer
Source4:  sblocker_http_hub
Source5:  sbhub.service
Source6:  sb_www.tar.xz
Source7:  block_page.tar.xz
Source8:  htdigest_admin
Source9:  sbserver.sysconfig
#Source9: http://www.ngtech.co.il/squidblocker/v-%{version}.tar.xz
#Source10:  http://www.ngtech.co.il/squidblocker/v-%{version}.tar.xz.asc


Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(preun):  systemd
Requires(postun): systemd
Requires:       systemd-units
# Required to allow debug package auto creation
BuildRequires: redhat-rpm-config
BuildRequires:  systemd-units

# Required to validate auto requires AutoReqProv: no
## aaaAutoReqProv: no

%description
Squid Blocker for maximum uptime filtering and fast updates.

%prep

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
mkdir -p ${RPM_BUILD_ROOT}%{_unitdir}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sblocker/
mkdir -p $RPM_BUILD_ROOT/var/www/squidblocker/
mkdir -p $RPM_BUILD_ROOT/var/www/block_page/
tar xvf %{SOURCE6} -C $RPM_BUILD_ROOT/var/www/
tar xvf %{SOURCE7} -C $RPM_BUILD_ROOT/var/www/
install -m 644 %{SOURCE0} ${RPM_BUILD_ROOT}%{_unitdir}
install -m 644 %{SOURCE5} ${RPM_BUILD_ROOT}%{_unitdir}
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/sblocker_client
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}/sblocker_hammer
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_sbindir}/sblocker_http_hub
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sbindir}/sblocker_server
install -m 644 %{SOURCE8} $RPM_BUILD_ROOT%{_sysconfdir}/sblocker/.htdigest
install -m 644 %{SOURCE9} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/sbserver

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%attr(755,root,root) %dir %{_sysconfdir}
%attr(755,root,root) %dir %{_sysconfdir}/sysconfig
%config(noreplace) %{_sysconfdir}/sysconfig/sbserver
%config(noreplace) %{_sysconfdir}/sblocker/.htdigest
%attr(755,root,root) %{_sbindir}/sblocker_server
%attr(755,root,root) %{_sbindir}/sblocker_http_hub
%attr(755,root,root) %{_bindir}/sblocker_client
%attr(755,root,root) %{_bindir}/sblocker_hammer
%attr(755,root,root) %dir /var/www/squidblocker/
%attr(644,apache,apache) /var/www/squidblocker/.htaccess
%attr(644,apache,apache) /var/www/squidblocker/del.html
%attr(644,apache,apache) /var/www/squidblocker/form2.html
%attr(644,apache,apache) /var/www/squidblocker/meraki.html
%attr(644,apache,apache) /var/www/squidblocker/sb_tcp.html
%attr(644,apache,apache) /var/www/squidblocker/sb_tcp01.html
%attr(644,apache,apache) /var/www/squidblocker/sb_url.html
%attr(644,apache,apache) /var/www/squidblocker/sb_url01.html
%attr(644,apache,apache) /var/www/squidblocker/set.html
%config(noreplace) /var/www/squidblocker/vars.php
%attr(644,apache,apache) /var/www/squidblocker/md.css
%attr(644,apache,apache) /var/www/squidblocker/v5.html
%attr(644,apache,apache) /var/www/squidblocker/index.html
%attr(644,apache,apache) /var/www/squidblocker/1.php
%attr(644,apache,apache) /var/www/squidblocker/set_url.html
%attr(644,apache,apache) /var/www/squidblocker/about.md
%attr(644,apache,apache) /var/www/squidblocker/v7.html
%attr(644,apache,apache) /var/www/squidblocker/favicon.ico
%attr(644,apache,apache) /var/www/squidblocker/url_search.php
%attr(644,apache,apache) /var/www/squidblocker/v0.3.0.html
%attr(644,apache,apache) /var/www/squidblocker/1.html
%attr(644,apache,apache) /var/www/squidblocker/check_radio_sheet.png
%attr(644,apache,apache) /var/www/squidblocker/open_url.php
/var/www/squidblocker/about.html

%attr(644,apache,apache) /var/www/block_page/css/cf.errors.css.local
%attr(644,apache,apache) /var/www/block_page/css/cf.errors.css.original
%attr(644,apache,apache) /var/www/block_page/css/cf.errors.ie.css
%attr(644,apache,apache) /var/www/block_page/css/fonts/opensans-300.ttf
%attr(644,apache,apache) /var/www/block_page/css/fonts/opensans-300.woff
%attr(644,apache,apache) /var/www/block_page/css/fonts/opensans-400.ttf
%attr(644,apache,apache) /var/www/block_page/css/fonts/opensans-400.woff
%attr(644,apache,apache) /var/www/block_page/css/fonts/opensans-600.ttf
%attr(644,apache,apache) /var/www/block_page/css/fonts/opensans-600.woff
%attr(644,apache,apache) /var/www/block_page/css/img/error_icons.png
%attr(644,apache,apache) /var/www/block_page/host.php
%attr(644,apache,apache) /var/www/block_page/index.php
%attr(644,apache,apache) /var/www/block_page/js/cf.common.js
%attr(644,apache,apache) /var/www/block_page/js/jquery-1.9.1.min.js
%attr(644,apache,apache) /var/www/block_page/js/zepto.min.js
/var/www/block_page/css/cf.errors.css

%{_unitdir}/sbserver.service
%{_unitdir}/sbhub.service

%post
%systemd_post sbserver.service
%systemd_post sbhub.service

%preun
%systemd_preun sbserver.service
%systemd_preun sbhub.service

%postun
%systemd_postun_with_restart sbserver.service
%systemd_postun_with_restart sbhub.service

%changelog
* Fri Aug 21 2015 Eliezer Croitoru <eliezer@ngtech.co.il>
- Release 0.3.9 Beta.
- Addition of a systemd VARIABLEs using sysconfig file

* Mon Aug 17 2015 Eliezer Croitoru <eliezer@ngtech.co.il>
- Release 0.3.8. Beta.
- Fixed a typo in the client logs, it will log into stdout instead of stderr.
- Fixed a typo in the server v6 Tcp check identification.

* Mon Aug 17 2015 Eliezer Croitoru <eliezer@ngtech.co.il>
- Release 0.3.7. Beta.
- Fixed a typo in the client logs, it will log into stdout instead of stderr.

* Mon Aug 17 2015 Eliezer Croitoru <eliezer@ngtech.co.il>
- Release 0.3.6. Beta.
- Fixed a typo in the domain check logs

* Mon Aug 17 2015 Eliezer Croitoru <eliezer@ngtech.co.il>
- Release 0.3.5. Beta.
- Added support for ipv6 host names and CONNECT requests.

* Fri Aug 14 2015 Eliezer Croitoru <eliezer@ngtech.co.il>
- Release 0.3.4. Beta.
- Fixed a bug in the client.(handling CONNECT method requests better)

* Fri Aug 14 2015 Eliezer Croitoru <eliezer@ngtech.co.il>
- Release 0.3.3. Beta.
- Changed and fixed couple things in the web pages style.

* Fri Aug 14 2015 Eliezer Croitoru <eliezer@ngtech.co.il>
- Release 0.3.2. Beta.
- Fixed a typo in the dunno mode.

* Fri Aug 14 2015 Eliezer Croitoru <eliezer@ngtech.co.il>
- Release 0.3.1. Beta.
- Fixing a typo in the systemd service

* Fri Aug 14 2015 Eliezer Croitoru <eliezer@ngtech.co.il>
- Release 0.2.9. Beta.
- Addition of authentication support for server, client and hammer.

* Thu Aug 13 2015 Eliezer Croitoru <eliezer@ngtech.co.il>
- Release 0.2.4. Beta.
